GDB (xrefs)

Macros | Enumerations | Functions | Variables
agent.h File Reference
`#include "common/preprocessor.h"`

Go to the source code of this file.

## Macros
#define | IPA_SYM_EXPORTED_NAME(SYM) gdb_agent_ ## SYM
#define | IPA_SYM(SYM)
#define | IPA_CMD_BUF_SIZE 1024

## Enumerations
enum | agent_capa { AGENT_CAPA_FAST_TRACE = 0x1, AGENT_CAPA_STATIC_TRACE = (0x1 << 1) }

## Functions
int | agent_run_command (int pid, const char *cmd, int len)
int | agent_look_up_symbols (void *)
int | agent_loaded_p (void)
int | agent_capability_check (enum agent_capa)
void | agent_capability_invalidate (void)

## Variables
int | debug_agent
int | use_agent

## Macro Definition Documentation

## ◆ IPA_CMD_BUF_SIZE

#define IPA_CMD_BUF_SIZE 1024

Definition at line 38 of file agent.h.

Referenced by agent_run_command(), and VEC().

## ◆ IPA_SYM

#define IPA_SYM | ( |  | SYM | ) |

Value:
{ \
STRINGIFY (IPA_SYM_EXPORTED_NAME (SYM)), \
offsetof (struct ipa_sym_addresses, addr_ ## SYM) \
}
ipa_sym_addresses
Definition: agent.c:51
IPA_SYM_EXPORTED_NAME
#define IPA_SYM_EXPORTED_NAME(SYM)
Definition: agent.h:29

Definition at line 30 of file agent.h.

## ◆ IPA_SYM_EXPORTED_NAME

#define IPA_SYM_EXPORTED_NAME | ( |  | SYM | ) | gdb_agent_ ## SYM

Definition at line 29 of file agent.h.

## Enumeration Type Documentation

## ◆ agent_capa

enum agent_capa

Enumerator
AGENT_CAPA_FAST_TRACE |
AGENT_CAPA_STATIC_TRACE |

Definition at line 51 of file agent.h.

## Function Documentation

## ◆ agent_capability_check()

int agent_capability_check | ( | enum | agent_capa | ) |

## ◆ agent_capability_invalidate()

void agent_capability_invalidate | ( | void |  | ) |

Definition at line 278 of file agent.c.

References agent_capability.

Referenced by target_pre_inferior().

## ◆ agent_loaded_p()

int agent_loaded_p | ( | void |  | ) |

Definition at line 77 of file agent.c.

References all_agent_symbols_looked_up.

Referenced by agent_new_objfile(), inf_child_can_use_agent(), and inf_child_use_agent().

## ◆ agent_look_up_symbols()

int agent_look_up_symbols | ( | void * |  | ) |

Definition at line 86 of file agent.c.

References all_agent_symbols_looked_up, DEBUG_AGENT, find_minimal_symbol_address(), ipa_sym_addrs, name, and symbol_list.

Referenced by agent_new_objfile().

## ◆ agent_run_command()

int agent_run_command | ( | int | pid,
|  | const char * | cmd,
|  | int | len
| ) |  |

Definition at line 189 of file agent.c.

References _, ipa_sym_addresses::addr_cmd_buf, agent_get_helper_thread_id(), DEBUG_AGENT, gdb_connect_sync_socket(), IPA_CMD_BUF_SIZE, ipa_sym_addrs, null_ptid, pid, ptid_build(), ptid_equal(), read(), target_continue_no_signal(), target_read_memory(), target_stop_and_wait(), target_write_memory(), selftests::ptid::tid, and warning().

Referenced by VEC().

## Variable Documentation

## ◆ debug_agent

int debug_agent

Definition at line 27 of file agent.c.

Referenced by ATTRIBUTE_PRINTF().

## ◆ use_agent

int use_agent

Definition at line 46 of file agent.c.

Referenced by inf_child_use_agent(), and remote_use_agent().